snd_pcm_hw_constraint_ratnums
Prev | Chapter 24. Sound Devices | Next

## Name

snd_pcm_hw_constraint_ratnums —

## Synopsis

`int snd_pcm_hw_constraint_ratnums (` | struct snd_pcm_runtime * | runtime,
| unsigned int | cond,
| snd_pcm_hw_param_t | var,
| struct snd_pcm_hw_constraint_ratnums * | r`)`;

## Arguments

`runtime`

  PCM runtime instance

`cond`

  condition bits

`var`

  hw_params variable to apply the ratnums constraint

`r`

  struct snd_ratnums constriants

Prev | Up | Next
snd_pcm_hw_constraint_list | Home | snd_pcm_hw_constraint_ratdens